local WIT, core = ...

core.Data.Routes.Skinning = {}

core.Data.Routes.Skinning.LightMediumLeatherWetlands = {
    Name = "RouteLightMediumLeather",
    MapId = core.Maps.Wetlands,
    Data = {
		["color"] = {
			0, -- [1]
			0.192156862745098, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 7263.176366946669,
		["route"] = {
			66354192, -- [1]
			67354913, -- [2]
			63254858, -- [3]
			61134387, -- [4]
		},
	}
}

core.Data.Routes.Skinning.HeavyThickLeatherFeralas = {
    Name = "RouteHeavyThickLeather",
    MapId = core.Maps.Feralas,
    Data = {
		["color"] = {
			0, -- [1]
			0.1450980392156863, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 12207.69897620439,
		["route"] = {
			56055450, -- [1]
			57715774, -- [2]
			55526165, -- [3]
			52685823, -- [4]
		},
	}
}

core.Data.Routes.Skinning.RuggedLeatherSwampOfSorrows = {
    Name = "RouteRuggedLeather",
    MapId = core.Maps.SwampOfSorrows,
    Data = {
		["color"] = {
			0, -- [1]
			0.1254901960784314, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 4406.555394813285,
		["route"] = {
			72234955, -- [1]
			72965725, -- [2]
			66755764, -- [3]
			67145031, -- [4]
		},
	}
}

-- TBC

core.Data.Routes.Skinning.KnothideLeatherNetherstorm = {
    Name = "RouteKnothideLeather",
    MapId = core.Maps.Netherstorm,
    Data = {
		["color"] = {
			0, -- [1]
			0.3294117647058824, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 9792.508934546477,
		["route"] = {
			47474895, -- [1]
			47555824, -- [2]
			44215780, -- [3]
			42585239, -- [4]
		},
	}
}

-- WotLK

core.Data.Routes.Skinning.BoreanLeatherBoreanTundra = {
    Name = "RouteBoreanLeather",
    MapId = core.Maps.BoreanTundra,
    Data = {
		["color"] = {
			0, -- [1]
			0.1843137254901961, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 10126.20931473039,
		["route"] = {
			27542242, -- [1]
			30452755, -- [2]
			27903140, -- [3]
			24432793, -- [4]
		},
	}
}

-- Cata

core.Data.Routes.Skinning.SavageLeatherMountHyjal = {
    Name = "RouteSavageLeather",
    MapId = core.Maps.MountHyjal,
    Data = {
		["color"] = {
			0, -- [1]
			0.2431372549019608, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 7458.522167302251,
		["route"] = {
			45827717, -- [1]
			48737873, -- [2]
			48268303, -- [3]
			44898219, -- [4]
		},
	}
}

-- MOP

core.Data.Routes.Skinning.ExoticLeatherIsleOfGiants = {
    Name = "RouteExoticLeather",
    MapId = core.Maps.IsleOfGiants,
    Data = {
	    ["color"] = {
		    0, -- [1]
		    0.1882352941176471, -- [2]
		    1, -- [3]
		    1, -- [4]
	    },
	    ["length"] = 3139.75854206099,
	    ["route"] = {
		    49984549, -- [1]
		    56765053, -- [2]
		    60104329, -- [3]
		    70214108, -- [4]
		    72766378, -- [5]
		    65447263, -- [6]
		    54827158, -- [7]
		    36887937, -- [8]
		    27827113, -- [9]
		    24086582, -- [10]
		    23775833, -- [11]
		    25925113, -- [12]
		    31125225, -- [13]
		    38465567, -- [14]
	    },
    }
}

-- WOD

core.Data.Routes.Skinning.SumptousFurShadowmoonValley = {
    Name = "RouteSumptousFur",
    MapId = core.Maps.WODShadowmoonValley,
    Data = {
		["color"] = {
			0.9803921568627451, -- [1]
			0, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 11768.57955453414,
		["route"] = {
			63983133, -- [1]
			65633705, -- [2]
			59194200, -- [3]
			55253467, -- [4]
		},
	}
}

core.Data.Routes.Skinning.RawBeastHideShadowmoonValley = {
    Name = "RouteRawBeastHide",
    MapId = core.Maps.WODShadowmoonValley,
    Data = {
		["color"] = {
			0, -- [1]
			0.2196078431372549, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 11768.57955453414,
		["route"] = {
			63183103, -- [1]
			65503705, -- [2]
			58924170, -- [3]
			55393506, -- [4]
		},
	}
}

-- Legion

core.Data.Routes.Skinning.StonehideLeatherAzsuna = {
    Name = "RouteStonehideLeather",
    MapId = core.Maps.Azsuna,
    Data = {
		["color"] = {
			0, -- [1]
			0.1411764705882353, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 11575.32822654933,
		["route"] = {
			37971083, -- [1]
			41471398, -- [2]
			39912165, -- [3]
			35192615, -- [4]
		},
	}
}

core.Data.Routes.Skinning.StormscaleHighmountain = {
    Name = "RouteStormscale",
    MapId = core.Maps.Highmountain,
    Data = {
		["color"] = {
			0, -- [1]
			0.1098039215686275, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 12418.5469754023,
		["route"] = {
			52425816, -- [1]
			54875943, -- [2]
			53676367, -- [3]
			49916683, -- [4]
			50766027, -- [5]
		},
	}
}

core.Data.Routes.Skinning.FiendishLeatherKrokuun = {
    Name = "RouteFiendishLeather",
    MapId = core.Maps.Krokuun,
    Data = {
		["color"] = {
			0, -- [1]
			0.1254901960784314, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 6525.385263720395,
		["route"] = {
			68206410, -- [1]
			75607082, -- [2]
			71387262, -- [3]
			68348254, -- [4]
			65296892, -- [5]
		},
	}
}

-- BFA

core.Data.Routes.Skinning.CoarseLeatherDrustvar = {
    Name = "RouteCoarseLeather",
    MapId = core.Maps.Drustvar,
    Data = {
		["color"] = {
			0, -- [1]
			0.1254901960784314, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 10077.94026674555,
		["route"] = {
			64373915, -- [1]
			71374121, -- [2]
			67544576, -- [3]
			63704278, -- [4]
		},
	}
}

core.Data.Routes.Skinning.DredgedLeatherNazjatar = {
    Name = "RouteDredgedLeather",
    MapId = core.Maps.Nazjatar,
    Data = {
		["color"] = {
			0, -- [1]
			0.09411764705882353, -- [2]
			1, -- [3]
			1, -- [4]
		},
		["length"] = 7491.456615745014,
		["route"] = {
			78102984, -- [1]
			80293637, -- [2]
			78374329, -- [3]
			73214155, -- [4]
			70173447, -- [5]
			73012879, -- [6]
		},
	}
}
